<?php

namespace Lc\AdminBundle\Model\Cms;

use Lc\AdminBundle\IModel\Cms\BlameableInterface;
use Lc\AdminBundle\IModel\Cms\DevAliasInterface;
use Lc\AdminBundle\IModel\Cms\SeoInterface;
use Lc\AdminBundle\IModel\Cms\SluggableInterface;
use Lc\AdminBundle\IModel\Cms\SortableInterface;
use Lc\AdminBundle\IModel\Cms\TimestampableInterface;
use Lc\AdminBundle\IModel\Cms\StatusInterface;
use Doctrine\ORM\Mapping as ORM;
use Lc\AdminBundle\IModel\EntityInterface;

/**
 * @ORM\MappedSuperclass
 */
abstract class AbstractDocument implements BlameableInterface, SeoInterface, SluggableInterface, SortableInterface, StatusInterface, TimestampableInterface, DevAliasInterface, EntityInterface
{

        use BlameableTrait;
        use SeoTrait;
        use SluggableTrait;
        use SortableTrait;
        use StatusTrait;
        use TimestampableTrait;
        use DevAliasTrait;

        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $title;

        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $description;


        public function getTitle(): ?string
        {
                return $this->title;
        }

        public function setTitle(string $title): self
        {
                $this->title = $title;

                return $this;
        }


        public function getDescription(): ?string
        {
                return $this->description;
        }

        public function setDescription(?string $description): self
        {
                $this->description = $description;

                return $this;
        }


}
